---
title: "학습 목록 조회"
slug: "clovastudio-gettasks"
tags: ["CLOVA Studio"]
updated: 2026-09-17T09:15:56Z
published: 2026-09-17T09:15:56Z
canonical: "api.ncloud-docs.com/clovastudio-gettasks"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt
> Use this file to discover all available pages before exploring further.
# 학습 목록 조회
Classic/VPC 환경에서 이용 가능합니다.
생성한 학습 목록을 조회합니다.
## 요청
요청 형식을 설명합니다. 요청 형식은 다음과 같습니다.
| 메서드 | URI |
| --- | --- |
| GET | /tuning/v2/tasks |
### 요청 헤더
CLOVA Studio API에서 공통으로 사용하는 헤더에 대한 정보는 [CLOVA Studio 요청 헤더](/docs/ai-naver-clovastudio-summary#요청헤더)를 참조해 주십시오.
### 요청 쿼리 파라미터
요청 쿼리 파라미터에 대한 설명은 다음과 같습니다.
| 필드 | 타입 | 필수 여부 | 설명 |
| --- | --- | --- | --- |
| `page` | Integer | Optional | 페이지 번호 |
| `size` | Integer | Optional | 페이지 출력 수 |
### 요청 예시
요청 예시는 다음과 같습니다.
```shell
curl --location --request GET 'https://clovastudio.stream.ntruss.com/tuning/v2/tasks?page=0&size=20' \
--header 'Authorization: Bearer {API Key}' \
--header 'Content-Type: application/json' \
--header 'X-NCP-CLOVASTUDIO-REQUEST-ID: {Request ID}'
```
## 응답
응답 형식을 설명합니다.
### 응답 헤더
응답 헤더에 대한 설명은 다음과 같습니다.
| 헤더 | 필수 여부 | 설명 |
| --- | --- | --- |
| Content-Type | - | 응답 데이터의 형식 |
### 응답 바디
응답 바디에 대한 설명은 다음과 같습니다.
| 필드 | 타입 | 필수 여부 | 설명 |
| --- | --- | --- | --- |
| `status` | Object | - | [응답 상태](/docs/ai-naver-clovastudio-summary#응답) 참고 |
| `result` | Object | - | 응답 결과 |
| `result.totalPages` | Integer | - | 전체 페이지 수 |
| `result.totalElements` | Integer | - | 전체 데이터 수 |
| `result.size` | Integer | - | 페이지별 데이터 수 |
| `result.number` | Integer | - | 페이지 번호 |
| `result.content` | Array | - | 학습 정보: [content](content) |
### `content`
`content`에 대한 설명은 다음과 같습니다.
| 필드 | 타입 | 필수 여부 | 설명 |
| --- | --- | --- | --- |
| ` id` | String | - | 학습 아이디 |
| `name` | String | - | 학습 이름 |
| `model` | String | - | 튜닝 모델 이름 |
| `method` | Enum | - | 튜닝 기법 |
| `taskType` | String | - | 학습 유형- `GENERATION` \| `CLASSIFICATION`
- `GENERATION`: 생성
- `CLASSIFICATION`: 분류
|
| `trainEpochs` | Integer | - | 모델을 학습한 에폭 수 |
| `learningRate` | Double | - | 학습률(튜닝 시 모델 파라미터를 재학습하는 수준 및 정도) |
| `status` | Enum | - | 학습 진행 상태- `WAIT` \| `RUNNING` \| `FAILED` \| `SUCCEEDED`
- `WAIT`: 학습 대기 중
- `RUNNING`: 학습 중
- `FAILED`: 학습 중단
- `SUCCEEDED`: 학습 완료
|
| `statusInfo` | Array | - | 학습 진행 상태 상세 정보: [statusInfo](#statusInfo) |
| `createdClientType` | String | - | 학습을 요청한 클라이언트 유형- `API` \| `WEB`
- `API`: API 클라이언트
- `WEB`: 웹 클라이언트
|
| `createdDate` | String | - | 학습 생성 날짜 |
| `updatedDate` | String | - | 학습 수정 날짜 |
#### `statusInfo`
`statusInfo`에 대한 설명은 다음과 같습니다.
| 필드 | 타입 | 필수 여부 | 설명 |
| --- | --- | --- | --- |
| `label` | Array | - | - 학습 유형이 `CLASSIFICATION`인 경우: 사용자 데이터 라벨 표시
- 학습 유형이 `GENERATION`인 경우: `null`
|
| `dataRows` | Integer | - | 데이터 수 |
| `numOfTokens` | Integer | - | 데이터 토큰 수 |
| `currStep` | Integer | - | 학습 현재 스텝 수 |
| `totalTrainSteps` | Integer | - | 학습 총 스텝 수 |
| `currEpoch` | Integer | - | 현재 에폭 |
| `totalTrainEpochs` | Integer | - | 전체 학습 에폭 |
| `estimatedTime` | Integer | - | 예상 소요 시간- 1 에폭 평균 시간과 전체 학습 에폭 수를 곱해 도출
|
| `trainLoss` | Double | - | 학습 손실량 |
| `sendWeightSuccess` | Boolean | - | 학습 결과 저장 여부- `false` \| `true`
- `false`: 저장 안 함
- `true`: 저장
|
| `failureReason` | String | - | [학습 실패(`FAILED`) 이유](#failureReasonmessage) |
| `message` | String | - | [학습 실패(`FAILED`) 이유의 상세 메시지](#failureReasonmessage) |
| `endDatetime` | String | - | 학습 종료 날짜 (ISO 8601 형식) |
#### `failureReason`, `message`
학습 실패 이유(`failureReason`)와 학습 실패 이유의 상세 메시지(`message`)에 대한 설명은 다음과 같습니다.
| 학습 실패 이유 | 상세 메시지 | 설명 |
| --- | --- | --- |
| `file.extension` | `Unavailable file extension. Please check the file extension again.` | 요청한 `tuningType`에 부합하지 않는 데이터 파일 확장자 |
| `file.size` | `Exceeded the disk usage limit. Please check if the file size is {limit} or less.` | 학습 요청에서 기대하는 파일 크기 초과 |
| `file.encoding` | `Unsupported charset` | UTF8-sig 인코딩이 아닌 경우 |
| `file.format` | `Invalid json format. {reason}` | 데이터셋 파일(.json/.jsonl)의 디코딩이 불가능한 경우 |
| `file.format` | `Invalid dataset: required field empty. {column}` | 데이터셋 파일에 필수 column 누락 |
| `file.format` | `Invalid dataset: unexpected column. {column}` | 데이터셋 파일에 예상 밖의 column 존재 |
| `file.format` | `Invalid dataset: duplicate columns. {column}` | 데이터셋 파일에 대소문자 구별이 되지 않아 중복되는 column 발생 |
| `file.format` | `Invalid dataset: column order` | 데이터셋 파일의 column 순서가 System_Prompt, C_ID, T_ID, Text, Completion이 아닌 경우 |
| `file.format` | `Invalid dataset: {column}` | 데이터셋 파일의 C_ID 또는 T_ID가 0부터 시작해서 1씩 커지는 패턴을 만족하지 않거나 값이 비어 있는 경우 |
| `file.error` | - | 파일 읽기 오류 |
| `resource.timeout` | - | GPU 확보 실패로 응답 시간 초과. 다시 시도 필요 |
| `clops.error` | - | 학습 중 CLOps 오류 |
| `train.unknown` | - | 학습 중 파일 관련 외 오류 |
### 응답 예시
응답 예시는 다음과 같습니다.
#### 성공
호출이 성공한 경우의 응답 예시는 다음과 같습니다.
```json
{
"status": {
"code": "20000",
"message": "OK"
},
"result": {
"totalPages": "7,",
"totalElements": "122,",
"size": "20,",
"number": "0,",
"content": [
{
"id": "oi55o2ej",
"name": "230709-202307",
"model": "HCX-003",
"method": "LoRA",
"taskType": "GENERATION",
"trainEpochs": 4,
"learningRate": 1.0E-4,
"status": "FAILED",
"statusInfo": {
"label": null,
"dataRows": null,
"numOfTokens": null,
"currStep": null,
"totalTrainSteps": null,
"currEpoch": null,
"totalTrainEpochs": null,
"estimatedTime": null,
"trainLoss": null,
"sendWeightSuccess": null,
"failureReason": "resource.timeout"
},
"createdClientType": "WEB",
"createdDate": "2023-08-20T20:23:08+0900",
"updatedDate": "2023-08-21T10:31:40+0900"
},
{
"id": "oi55o2ej",
"name": "230709-202307",
"model": "HCX-002",
"method": "LoRA",
"taskType": "GENERATION",
"trainEpochs": 4,
"learningRate": 1.0E-4,
"status": "FAILED",
"statusInfo": {
22
"label": null,
"dataRows": null,
"numOfTokens": null,
"currStep": null,
"totalTrainSteps": null,
"currEpoch": null,
"totalTrainEpochs": null,
"estimatedTime": null,
"trainLoss": null,
"sendWeightSuccess": null,
"failureReason": "resource.timeout",
"message": null
},
"createdClientType": "WEB",
"createdDate": "2023-08-21T20:23:08+0900",
"updatedDate": "2023-08-22T10:31:40+0900"
}
]
}
}
```
#### 실패
호출이 실패한 경우의 응답 예시는 다음과 같습니다.
* [클라이언트 공통 오류 문제(4xx)](/docs/clovastudio-troubleshoot-c4xx)
* [서버 공통 오류 문제(5xx)](/docs/clovastudio-troubleshoot-c5xx)